
QGIS Application - Feature request #4278

Add -t option to v.in.ogr.qgis

2011-09-10 09:07 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14218

Description

If I make a new GRASS layer, it's relatively inefficient for me to pull over all attributes in addition to points. The -t option is supposed to

prevent importation of attributes. Can that be added to the UI for v.in.ogr.qgis?

History

#1 - 2011-09-11 01:40 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Target version set to Version 1.7.1

- Operating System deleted (Windows 7 x64)

Changing the GRASS modules UI interface is pretty easy as the configuration files are a kind of xml. Please consider create patches and submit them.

#2 - 2011-09-11 06:53 PM - Aren Cambre

Thanks, but where is v.in.ogr.qgis even documented? From the best I can tell, all it does is prepare arguments for v.in.ogr.

(Sorry for mis-filing the ticket!)

#3 - 2011-09-12 12:23 AM - Giovanni Manghi

Aren Cambre wrote:

Thanks, but where is v.in.ogr.qgis even documented? From the best I can tell, all it does is prepare arguments for v.in.ogr.

(Sorry for mis-filing the ticket!)

Hi, the ticket is not-filed, it a legit request. I just suggested to have a look how modules GUI files look like and then propose a patch.

#4 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#5 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#6 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4
#7 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#8 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#9 - 2015-12-04 03:55 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

in QGIS 2.13 (and probably in previous versions), there is an option in v.in.ogr.qgis to disable attributes import. When this option is checked, v.in.ogr is

called with the -t option.

I am closing this feature request.
